not supported ff19 Rated 3 out of 5 stars

seems like the addon is not supported on the firefox 19 would love to see an update on this addon.